WCSNCMP(3)

NAME
wcsncmp - compare two fixed-size wide-character strings

SYNOPSIS
#include <wchar.h>

int wcsncmp(const wchar_t *s1, const wchar_t *s2, size_t n);

DESCRIPTION
The wcsncmp function is the wide-character equivalent of the strncmp function. It compares the wide-character string pointed to by s1 and the wide-character string pointed to by s2, but at most n wide characters from each string. In each string, the comparison extends only up to the first occurrence of a L'\0' character, if any.

RETURN VALUE
The wcsncmp function returns zero if the wide-character strings at s1 and s2, truncated to at most length n, are equal. It returns an integer greater than zero if at the first differing position i (i < n), the corresponding wide-character s1[i] is greater than s2[i]. It returns an integer less than zero if at the first differing position i (i < n), the corresponding wide-character s1[i] is less than s2[i].

CONFORMING TO
ISO/ANSI C, UNIX98

SEE ALSO
strncmp(3), wcsncasecmp(3)